Bug 838782

Summary: Need static libraries for krb5
Product: [Fedora] Fedora Reporter: Philip Prindeville <philipp>
Component: krb5Assignee: Nalin Dahyabhai <nalin>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 16CC: cleaver-redhat, dpal, nalin, nathaniel, philipp
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-09 16:58:51 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Philip Prindeville 2012-07-10 01:38:53 EDT
Description of problem:

Even though I'm not anxious to use software statically linked to kerberos, there Fedora does ship static openssl libraries which then in turn expect to be linked with static krb5 libraries.

Also, static libraries have a variety of uses such as: verifying build completeness (for various libraries such as Poco which are used in embedded environments which are cross-built on Fedora hosts), and for running static analysis or for regression testing against multiple versions of a library.

Having krb5-static or krb5-devel include the static libraries would be indispensable.


Version-Release number of selected component (if applicable):

1.9.3-1.fc16.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Nalin Dahyabhai 2012-07-10 11:29:51 EDT
The build machinery actually errors out if you simply add a --enable-static to the configure invocation, suggesting that you also should disable building shared libraries to do so.  We also have a dependency on libkeyutils, which isn't available as a static library.  I'm not really convinced that the work of getting that all sorted out so that we can provide static libraries is worth the trouble.

Given that, I'm inclined to won't-fix this one.
Comment 2 Japheth Cleaver 2012-07-25 21:43:17 EDT
cf. https://bugzilla.redhat.com/show_bug.cgi?id=807050
Comment 3 Dmitri Pal 2012-08-09 16:58:51 EDT
I do not think we can do much here. If you need static libraries you would have to build them yourself.

Closing as WONTFIX.